### Method

# Meta WorkspaceManager reorder_workspace

#### Declaration [src]

    void
    meta_workspace_manager_reorder_workspace (
      MetaWorkspaceManager* workspace_manager,
      MetaWorkspace* workspace,
      int new_index
    )

#### Description [src]

Reorder a workspace to a new index. If the workspace is currently active the “active-workspace-changed” signal will be emitted. If the workspace’s index is the same as `new_index` or the workspace will not be found in the list, this function will return.

Calling this function will also emit the “workspaces-reordered” signal.

#### Parameters

`workspace`

  Type: `MetaWorkspace`

  A `MetaWorkspace` to reorder.

  The data is owned by the caller of the method.

`new_index`

  Type: `int`

  The new index of the passed workspace.